Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

remove automated dependency change data from Changes file

  • Loading branch information...
commit 8224ba0c3bdc004627daf2f49beeac91379e755c 1 parent 46aa0f8
@kentfredric kentfredric authored
Showing with 32 additions and 139 deletions.
  1. +32 −139 Changes
View
171 Changes
@@ -1,75 +1,23 @@
Release history for Path-IsDev
{{$NEXT}}
+ [Bug Fixes]
+ - Attempt to avoid failures on some Win32's where methods other than
+ File::HomeDir->my_home don't work at all.
-1.000001 2013-11-21T11:49:20Z
- [00 Maintenance]
-
- [Dependencies::Added / develop requires]
- - Dist::Zilla::Plugin::Author::KENTNL::MinimumPerl
- - Dist::Zilla::Plugin::Authority 1.006
- - Dist::Zilla::Plugin::AutoPrereqs
- - Dist::Zilla::Plugin::CheckExtraTests
- - Dist::Zilla::Plugin::ConfirmRelease
- - Dist::Zilla::Plugin::EOLTests
- - Dist::Zilla::Plugin::Git::Check
- - Dist::Zilla::Plugin::Git::Commit
- - Dist::Zilla::Plugin::Git::CommitBuild
- - Dist::Zilla::Plugin::Git::GatherDir
- - Dist::Zilla::Plugin::Git::NextVersion
- - Dist::Zilla::Plugin::Git::Tag
- - Dist::Zilla::Plugin::GithubMeta
- - Dist::Zilla::Plugin::License
- - Dist::Zilla::Plugin::Manifest
- - Dist::Zilla::Plugin::ManifestSkip
- - Dist::Zilla::Plugin::MetaConfig
- - Dist::Zilla::Plugin::MetaData::BuiltWith
- - Dist::Zilla::Plugin::MetaJSON
- - Dist::Zilla::Plugin::MetaProvides::Package 1.14000001
- - Dist::Zilla::Plugin::MetaTests
- - Dist::Zilla::Plugin::MetaYAML
- - Dist::Zilla::Plugin::ModuleBuild
- - Dist::Zilla::Plugin::NextRelease
- - Dist::Zilla::Plugin::PkgVersion
- - Dist::Zilla::Plugin::PodCoverageTests
- - Dist::Zilla::Plugin::PodSyntaxTests
- - Dist::Zilla::Plugin::PodWeaver
- - Dist::Zilla::Plugin::Prereqs
- - Dist::Zilla::Plugin::Prereqs::MatchInstalled
- - Dist::Zilla::Plugin::PruneCruft
- - Dist::Zilla::Plugin::ReadmeAnyFromPod
- - Dist::Zilla::Plugin::ReadmeFromPod
- - Dist::Zilla::Plugin::ReportVersions::Tiny
- - Dist::Zilla::Plugin::Test::CPAN::Changes
- - Dist::Zilla::Plugin::Test::Compile::PerFile
- - Dist::Zilla::Plugin::Test::Kwalitee
- - Dist::Zilla::Plugin::Test::MinimumVersion
- - Dist::Zilla::Plugin::Test::Perl::Critic
- - Dist::Zilla::Plugin::TestRelease
- - Dist::Zilla::Plugin::Twitter
- - Dist::Zilla::Plugin::UploadToCPAN
-
- [Dependencies::Changed / build requires]
- - Module::Build 0.4007 → 0.4202
-
- [Dependencies::Changed / configure requires]
- - Module::Build 0.4007 → 0.4202
-
- [Dependencies::Changed / develop requires]
- - Dist::Zilla::PluginBundle::Author::KENTNL 2.000000 → 2.002001
-
- [Dependencies::Changed / test requires]
- - Test::More 0.99 → 1.001002
-
- [Dependencies::Removed / test requires]
- - File::Spec
- - IO::Handle
- - IPC::Open3
+ [Maintenance]
+ - Split Changes into Changes.{deps,deps.all,deps.dev} for easier reading
+ for maintainers.
+1.000001 2013-11-21T11:49:20Z
[Documentation]
- README.mkdn → MetaCPAN
- Encoding → UTF-8
+ [Maintenance]
+ - Increase deps on Module::Build and Test::More
+ - Removes a few deps no longer needed.
+
[Packaging]
- Use new fallback code in MB
@@ -117,18 +65,10 @@ Release history for Path-IsDev
- Matches now only need to report context feedback via the result object
- The result object intelligently executes relevant debugging intel
- [Dependencies::Added / runtime requires]
- - File::HomeDir
-
- [Dependencies::Changed / develop requires]
- - Dist::Zilla::PluginBundle::Author::KENTNL v1.9.0 → 2.000000
- - Test::Kwalitee 1.08 → 1.12
-
- [Dependencies::Changed / runtime requires]
- - perl v5.10.0 → 5.006
-
- [Dependencies::Changed / test requires]
- - Test::More 0.98 → 0.99
+ [Dependencies]
+ - Now depends on File::HomeDir
+ - Perl 5.6 is now minimum ( was 5.10 )
+ - Test::More increased.
0.6.0 2013-10-05T17:56:06Z
[00 Major Changes - Role Apocalypse]
@@ -137,12 +77,9 @@ Release history for Path-IsDev
- Base classes for existing things still exist, and should still work,
however, they're on borrowed time.
- [Dependencies::Added / runtime requires]
- - Role::Tiny
- - Role::Tiny::With
-
- [Dependencies::Removed / runtime requires]
- - parent
+ [Dependencies]
+ - Now requires Role::Tiny
+ - No longer requires parent
0.5.0 2013-10-05T15:00:12Z
[00 Major Changes - Result Object]
@@ -168,42 +105,21 @@ Release history for Path-IsDev
- One basic negative heuristic added, 'IsDev::IgnoreFile'
- Basic Negative heuristic comes standard with the basic set.
- [Dependencies::Added / develop requires]
- - Dist::Zilla::PluginBundle::Author::KENTNL v1.9.0
-
- [Dependencies::Added / develop suggests]
- - Dist::Zilla::PluginBundle::Author::KENTNL::Lite v1.3.0
-
- [Dependencies::Removed / develop recommends]
- - Dist::Zilla::PluginBundle::Author::KENTNL::Lite v1.3.0
-
- [Dependencies::Removed / develop requires]
- - Dist::Zilla::PluginBundle::Author::KENTNL::Lite
-
- [Dependencies::Removed / develop suggests]
- - Dist::Zilla::PluginBundle::Author::KENTNL v1.8.3
-
0.3.3 2013-09-26T07:09:14Z
[Bugfix]
- Use a Non-Win32-failing compile test
- [Dependencies::Added / test requires]
- - File::Spec
+ [Dependencies]
+ - Now requires File::Spec for testing.
0.3.2 2013-09-18T17:45:37Z
[Bugfix]
- - Require a version of Class::Tiny that doesn't exhibit the "used only
- once" warning
-
- [Dependencies::Changed / runtime requires]
- - Class::Tiny 0.005 → 0.010
+ - Require a version 0.010 of Class::Tiny that doesn't exhibit the "used
+ only once" warning
0.3.1 2013-09-18T02:21:11Z
[Bugfix]
- - Require a Minimum Class::Tiny that supports lazy attrs
-
- [Dependencies::Changed / runtime requires]
- - Class::Tiny 0 → 0.005
+ - Require a Class::Tiny 0.005 for lazy attrs
0.3.0 2013-09-16T08:27:21Z
[!Major]
@@ -213,37 +129,14 @@ Release history for Path-IsDev
wanted to find the root anyway, and I assumed my own code would just
work, but it wouldn't ... )
- [Dependencies::Added / develop requires]
- - Test::Kwalitee 1.08
-
- [Dependencies::Added / runtime requires]
- - Class::Tiny
-
- [Dependencies::Added / test requires]
- - IO::Handle
- - IPC::Open3
-
- [Dependencies::Changed / build requires]
- - Module::Build 0.4005 → 0.4007
-
- [Dependencies::Changed / configure requires]
- - Module::Build 0.4005 → 0.4007
-
- [Dependencies::Changed / develop suggests]
- - Dist::Zilla::PluginBundle::Author::KENTNL v1.7.4 → v1.8.3
-
- [Dependencies::Removed / runtime requires]
- - Moo 1.000008
-
- [Dependencies::Removed / test requires]
- - File::Find
+ [Dependencies]
+ - Added Class::Tiny
+ - Removed Moo and File::Find
+ - Increased Module::Build to 0.4007
0.2.3 2013-07-14T03:02:16Z
[Bugs]
- - Need more recent Moo for `builder => sub {}`
-
- [Dependencies::Changed / runtime requires]
- - `Moo 0` → `1.000008`
+ - Need Moo 1.000008 for `builder => sub {}`
[Tests]
- Better coverage of `::Object`
@@ -261,14 +154,14 @@ Release history for Path-IsDev
0.2.0 2013-07-07T13:52:33Z
[00 Major Changes]
- - Guts of exporter refactored to a `Moo` class.
+ - Guts of exporter refactored to a Moo class.
- [Dependencies::Added / runtime requires]
- - `Moo`
+ [Dependencies]
+ - now depends on Moo
0.1.1 2013-07-06T15:36:30Z
[Internals]
- - `debug()` now appends `\n` automatically.
+ - debug() now appends \n automatically.
0.1.0 2013-07-06T12:49:36Z
- First version.
Please sign in to comment.
Something went wrong with that request. Please try again.